Package Details: hhvm-git 20150820-1

Git Clone URL: https://aur.archlinux.org/hhvm-git.git (read-only, click to copy)
Package Base: hhvm-git
Description: Virtual Machine, Runtime, and JIT for PHP
Upstream URL: http://hhvm.com
Licenses: PHP
Submitter: yan12125
Maintainer: None
Last Packager: yan12125
Votes: 15
Popularity: 0.000000
First Submitted: 2014-10-05 07:01
Last Updated: 2015-08-20 17:17

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 Next › Last »

delmadord commented on 2014-10-06 18:58

Why does it take hours to compile?

yan12125 commented on 2014-10-05 07:13

This is based on @mtorromeo's work [1]. Please report to github issue [2] instead of commenting here if you encounter compilation problems.

[1] https://aur.archlinux.org/packages/hhvm/
[2] https://github.com/facebook/hhvm/issues/3798

Spider.007 commented on 2013-10-18 09:26

@Splith I'd rather see those applied upstream to maintain a somewhat clean build
@shoogendijk thanks for the summary, I'll attempt to create a working package

Spider.007 commented on 2013-10-18 09:26

@Splith I'd rather see those applied upstream to maintain a somewhat clean build
@shoogendijn thanks for the summary, I'll attempt to create a working package

nubs commented on 2013-10-17 16:14

@shoogendijk, that lines up with my changes as well, although libdwarf can still be a relative path: libdwarf/libdwarf.h worked for me.

shoogendijk commented on 2013-10-17 13:15

Changes that I have made:
Added google-glog to dependencies
Changed curl-hphp to curl in dependencies
Changed the include of libdwarf.h to /the/full/path/to/libdwarf.h
Manually installed oniguruma, libevent-hphp and libdwarf

I also had to reinstall boost and boost-lib and I installed boost-build. Did this in order to fix a seg fault in the regex of the boost library.

nineinchnick commented on 2013-07-05 17:50

As m_acto wrote, an older libmemcached was required. I used 0.54 from aur (with hphp postfix).
Also, the extra define is still required.

nineinchnick commented on 2013-07-04 21:40

Following this pull request https://github.com/facebook/folly/pull/29/files
std::has_trivial_destructor needs to be replaced with std::is_trivially_destructible for gcc 4.8 in few files in hphp/third_party/folly and hphp/runtime/vm/jit/physreg.h.

Also, I've added libdwarf dir to the include of libdwarf.h in:
hphp/runtime/vm/debug/dwarf.h

I'm only at 16%, gonna check it out later.

Anonymous comment on 2013-03-28 13:04

Some changes that I have made:
- use libmemcached-1.0.7
- use boost-1.50
(this versions can be get from http://arm.konnichi.com/extra/os)
- add this line to hiphop-php/hphp/util/stack_trace.cpp:
#define PACKAGE 1

Anonymous comment on 2013-03-11 10:24

Please add google-glog to deps.